#include "GD32F4xx.h"
#include "systick.h"
#include <stdio.h>
#include "bsp.h"

int main(void)
{
	int i,j;
	
	systick_config();
	gd_eval_led_init(LED0);
	gd_eval_led_init(LED1);
	gd_eval_led_init(LED2);
	gd_eval_led_init(LED3);
	gd_eval_led_init(LED4);
	gd_eval_led_init(LED5);
	gd_eval_led_init(LED6);
	gd_eval_led_init(LED7);
	
	gd_eval_key_init(KEY_SET,KEY_MODE_GPIO);
	gd_eval_key_init(KEY_UP,KEY_MODE_GPIO);
	gd_eval_key_init(KEY_DOWN,KEY_MODE_GPIO);
	gd_eval_key_init(KEY_RIGHT,KEY_MODE_GPIO);
	gd_eval_key_init(KEY_LEFT,KEY_MODE_GPIO);
	
	while(1)
	{
		if(gd_eval_key_state_get(KEY_SET) == 0)
		{
			for(i=0;i<=7;i++) gd_eval_led_off(i); // all led off
			
			gd_eval_led_on(LED0);
			gd_eval_led_on(LED7);
			delay_1ms(100);
			
			gd_eval_led_on(LED1);
			gd_eval_led_on(LED6);
			delay_1ms(80);
			
			gd_eval_led_on(LED2);
			gd_eval_led_on(LED5);
			delay_1ms(60);
			
			gd_eval_led_on(LED3);
			gd_eval_led_on(LED4);
			delay_1ms(40);
		}
		else if(gd_eval_key_state_get(KEY_UP) == 0)
		{
			for(i=0;i<=7;i++) gd_eval_led_on(i); // all led on
			delay_1ms(200);
			for(i=0;i<=7;i++) gd_eval_led_off(i); // all led off
			delay_1ms(10);
		}
		else if(gd_eval_key_state_get(KEY_DOWN) == 0)
		{
			for(i=0;i<=7;i++) gd_eval_led_off(i); // all led off
			delay_1ms(200);
			for(i=0;i<=7;i++) gd_eval_led_on(i); // all led on
			delay_1ms(1);
		}
		else if(gd_eval_key_state_get(KEY_RIGHT) == 0)
		{
			for(i=0;i<=7;i++) gd_eval_led_off(i); // all led off
			delay_1ms(200);
			for(i=0;i<=3;i++) gd_eval_led_on(i); // 0-3 led on
			for(i=4;i<=7;i++) gd_eval_led_off(i); // 4-7 led off
			delay_1ms(200);
		}
		else if(gd_eval_key_state_get(KEY_LEFT) == 0)
		{
			for(i=0;i<=7;i++) gd_eval_led_off(i); // all led off
			delay_1ms(200);
			for(i=0;i<=3;i++) gd_eval_led_off(i); // 0-3 led off
			for(i=4;i<=7;i++) gd_eval_led_on(i); // 4-7 led on
			delay_1ms(200);
		}
		else
		{
			for(j=0;j<=7;j++)
			{
			  for(i=0;i<=7;i++) gd_eval_led_off(i); // all led off
				gd_eval_led_on(j);
				delay_1ms(20+20*j);
			}
			
			for(j=0;j<=7;j++)
			{
			  for(i=0;i<=7;i++) gd_eval_led_off(i); // all led off
				gd_eval_led_on(7-j);
				delay_1ms(20+20*j);
			}
		}
	}
}
